Summary:	Programs for accessing MS-DOS disks without mounting the disks
Name: 		mtools
Version: 	3.9.11
Release: 	%mkrel 4
License: 	GPL
Group: 		File tools
Url: 		http://mtools.linux.lu
Source: 	http://mtools.linux.lu/%{name}-%{version}.tar.bz2
Patch0: 	mtools-3.9.1-linux.patch
Patch2: 	mtools-3.9.6-atari.patch
Patch5: 	mtools-3.9.9-supermount.patch
BuildRequires: 	X11-devel
BuildRequires:	texinfo
Requires(pre): 	info-install
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mtools is a collection of utilities for accessing MS-DOS files.
Mtools allow you to read, write and move around MS-DOS filesystem
files (normally on MS-DOS floppy disks).  Mtools supports Windows95
style long file names, OS/2 Xdf disks, and 2m disks.

Mtools should be installed if you need to use MS-DOS disks.

%prep
%setup -q
%patch0 -p1 -b .linux
%patch2 -p1 -b .atari
%patch5 -p1 -b .supermount

%build
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_prefix} %{buildroot}%{_sysconfdir}
%makeinstall
install mtools.conf %{buildroot}%{_sysconfdir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/mtools.conf
%doc COPYING Changelog README Release.notes mtools.texi
%attr(755,root,root) %{_bindir}/f*
%attr(755,root,root) %{_bindir}/l*
%attr(755,root,root) %{_bindir}/m*
%attr(755,root,root) %{_bindir}/t*
%attr(755,root,root) %{_bindir}/u*
%attr(755,root,root) %{_bindir}/amuFormat.sh
%{_mandir}/*/*
%{_infodir}/%{name}.*




%changelog
* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 3.9.11-4mdv2008.1
+ Revision: 180102
- bump release
- drop P4 to make it compile
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 07 2007 Nicolas Vigier <nvigier@mandriva.com> 3.9.11-1mdv2008.0
+ Revision: 49606
- new version
- drop useless old patch


* Sun Feb 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.9.10-3mdv2007.0
+ Revision: 118825
- Import mtools

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.9.10-2mdk
- Rebuild

* Tue Jul 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.9.10-1mdk
- New release 3.9.10

* Fri Feb 20 2004 Vincent Danen <vdanen@mandrakesoft.com> 3.9.9-3mdk
- undo the special-but-insecure handling for mformat (aka no more suid)

